caption = getattr(context, 'caption', '')

height = getattr(context, 'height', '0')
width = getattr(context, 'width', '0')
img_url = context.absolute_url()

tag = ''

if getattr(context, 'use_internal_link', 0):
    link = context.portal_url() + getattr(context, 'internal_link', '')
else:
    link = getattr(context, 'link', '')
    
if link:
    tag += '<a href="%s">' % link

tag += '<img src="%s" width="%s" height="%s" border="0" alt="" />' % \
        (img_url, width, height) 

if link:
    tag += '</a>'

if caption:
    tag += '<br/>%s' % caption

return tag
